<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:22 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>R-Index</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="../com/playground/drawingar/model/Ray.html" title="class in com.playground.drawingar.model"><span class="typeNameLink">Ray</span></a> - Class in <a href="../com/playground/drawingar/model/package-summary.html">com.playground.drawingar.model</a></dt>
<dd>
<div class="block">Представления луча или полупрямой.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Ray.html#Ray-javax.vecmath.Vector3f-javax.vecmath.Vector3f-">Ray(Vector3f, Vector3f)</a></span> - Constructor for class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Ray.html" title="class in com.playground.drawingar.model">Ray</a></dt>
<dd>
<div class="block">Конструктор - создание нового луча.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/ShaderUtil.html#readRawTextFile-android.content.Context-int-">readRawTextFile(Context, int)</a></span> - Static method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/ShaderUtil.html" title="class in com.playground.drawingar.rendering">ShaderUtil</a></dt>
<dd>
<div class="block">Читает файл шейдера и возвращает ее текст.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/PermissionHelper.html#requestCameraPermission-android.app.Activity-">requestCameraPermission(Activity)</a></span> - Static method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers">PermissionHelper</a></dt>
<dd>
<div class="block">Делает запрас на разрешение использовать камеру телефона.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/PoseUtils.html#rotateBetween-float:A-float:A-">rotateBetween(float[], float[])</a></span> - Static method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/PoseUtils.html" title="class in com.playground.drawingar.rendering">PoseUtils</a></dt>
<dd>
<div class="block">Поворачивает объект с направления <code>fromRaw</code>
 в направление <code>toRaw</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/PoseUtils.html#rotatePoseToCamera-com.google.ar.core.Camera-com.google.ar.core.Pose-">rotatePoseToCamera(Camera, Pose)</a></span> - Static method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/PoseUtils.html" title="class in com.playground.drawingar.rendering">PoseUtils</a></dt>
<dd>
<div class="block">Повернуть объект к камере.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
